pkgsync (1.28+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007432).

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 10:00:28 +0100

pkgsync (1.28) unstable; urgency=medium

  * Add empty build-{indep,arch} targets (Closes: #998944)
  * Update to debhelper 10 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 12 Nov 2021 20:06:24 +0100

pkgsync (1.27+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:25:00 +0100

pkgsync (1.27) unstable; urgency=high

  * Fix an issue where aptitude update would not get run.
  * Update to debhelper 9.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 05 Jan 2019 10:42:30 +0100

pkgsync (1.26) unstable; urgency=medium

  * Remove the deprecated support for dpkg-style globbing (and thus also the
    --dpkg-glob and --aptitude-glob flags).
  * Better multiarch handling. In particular, pkgsync should now handle the
    case where you have an unused package (e.g. foo:arch) from a non-default
    architecture; previously, it would try to mark just “foo” as manual,
    whereas it should have used the full name, “foo:arch”. The handling probably
    still is not perfect, but it should be better.
  * Upgrade to Standards-Version 3.9.8 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 13 Jun 2016 11:06:54 +0100

pkgsync (1.25) unstable; urgency=medium

  * When listing installed packages, filter out everything after the colon,
    so that we do not get commandlines that try to (e.g.) install libfoo and
    set libfoo:amd64 to manually installed at the same time, causing
    flip-flopping between runs.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 18 Jul 2015 12:32:23 +0200

pkgsync (1.24) unstable; urgency=medium

  * Remove trailing whitespace from packages, fixing warnings like
    “Couldn't find package ""” from aptitude.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 07 Jun 2015 21:56:09 +0200

pkgsync (1.23) unstable; urgency=low

  * Properly anchor the kernel version regex when using aptitude globbing;
    patch from Tollef Fog Heen. (Closes: #731241)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 04 Dec 2013 00:29:33 +0100

pkgsync (1.22) unstable; urgency=high

  * Deal with changes introduced in aptitude 0.6.1.4-1: Add '?upgradable'
    first of all at dist-upgrade line, so all packages are upgraded,
    not just the one explicitly mentioned in mayhave/musthave/maynothave.
    * Update aptitude dependency to 0.6.1.4-1, sine it's not immediately
      clear when '?upgradable' was implemented.
  * Use full-upgrade instead of dist-upgrade.
  * Upgrade to Standards-Version 3.8.4 (no changes needed).
  * Upgrade to debhelper compat level 7. Update debhelper Build-Depends;
    no other changes needed.
  * Add ${misc:Depends} to Depends line, to keep lintian happy.
  * Remove empty prerm fragment.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 20 Mar 2010 11:03:43 +0100

pkgsync (1.21) unstable; urgency=low

  * Use aptitude update instead of apt-get update. 

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 20 Nov 2007 23:21:44 +0100

pkgsync (1.20) unstable; urgency=high

  * Remove a few extra quotes from the aptitude options.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 20 Nov 2007 01:12:22 +0100

pkgsync (1.19) unstable; urgency=high

  * Instead of doing "yes n |" in nightly-pkgsync, which seems to confuse
    newer aptitude, give proper dpkg options to do sane things with conffiles.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 17 Nov 2007 15:56:52 +0100

pkgsync (1.18) unstable; urgency=low

  * Update the manual page with the fact that --aptitude-glob is default.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 23 Sep 2007 16:33:14 +0200

pkgsync (1.17) unstable; urgency=low

  * Switch to aptitude globbing by default.
    * Add NEWS.Debian file describing the change.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 17 Apr 2007 13:34:18 +0200

pkgsync (1.16) unstable; urgency=low

  * Add "set -o noglob" to make sure wildcard patterns aren't attempted
    globbed. This is a bashism, so change the shebang to #! /bin/bash.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 27 Aug 2006 20:26:11 +0200

pkgsync (1.15) unstable; urgency=low

  * Support aptitude's globbing over dpkg's globbing. Unfortunately, this is
    not backwards-compatible, so we'll have to invent a new flag; after etch,
    this will probably become the default.
  * Update the man page and the --help output to know the new options.
  * Bump to Standards-version 3.7.2 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Aug 2006 19:49:40 +0200

pkgsync (1.14) unstable; urgency=low

  * Ship (empty) /etc/pkgsync directory.
  * Update version number in binary.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  9 Jul 2006 13:55:53 +0200

pkgsync (1.13) unstable; urgency=low

  * Make Build-depends-indep on debhelper into an ordinary build-depends, as
    we use it in non-indep targets.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 15 Jun 2006 21:50:28 +0200

pkgsync (1.12) unstable; urgency=low

  * Upload to unstable instead of experimental (1.11 was supposed to, but
    I forgot).
  * Mention the documentation in --help.
  * Update the man page with the new options.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  8 Mar 2006 17:13:07 +0100

pkgsync (1.11) experimental; urgency=low

  * Use getopt to take command line arguments:
    * Add run-time help (--help).
    * Add a simulation mode (--simulate). (Closes: #298459)
    * Add a flag to make removing optional (--keep-unused). (Closes: #240319)
    * Document the command line options in README.Debian.
  * Give -q to aptitude, to suppress the progress indicator. (Closes: #240882)
  * Version our dependency on aptitude, to make sure we have one that supports
    -q and -o.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  8 Mar 2006 16:22:28 +0100

pkgsync (1.10) experimental; urgency=low

  * Don't use COLUMNS=5000 anymore; it's redundant with newer dpkg.
  * Update a few comments in the script.
  * Documentation overhaul -- update with information about the new workings,
    old quirks that are no more, and new quirks that replace old quirks.
    * Document example cfengine setup.
  * Remove more explicit path usage.
  * Upgrade to debhelper compatibility level 5 (no changes needed).
    * Update versioned Build-Depends accordingly.
  * Use sort -u after reading all the package lists; duplicates could give
    odd effects with the filtering.
  * Added a GPL and copyright notice to the script itself.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon,  6 Mar 2006 16:35:30 +0100

pkgsync (1.9) experimental; urgency=low

  * Run everything in one large aptitude invocation instead of multiple small
    ones. This should make pkgsync more consistent across runs in corner cases
    (no flip-flapping if something is in both musthave and maynothave, for
    instance), as well as open the opportunity for much easier simulation.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  5 Mar 2006 16:47:27 +0100

pkgsync (1.8) unstable; urgency=low

  * In some points, add musthave and mayhave into a combined list without
    duplicates. This makes it possible to have a package both in musthave
    and mayhave (for instance, a kernel package both as linux-image-whatever
    in musthave and as meta:current-kernel in mayhave :-) ) without total
    blowup due to how filter() works.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  3 Mar 2006 18:07:20 +0100

pkgsync (1.7) unstable; urgency=low

  * Add a special package "meta:current-kernel", which matches kernel packages
    for the currently used kernel.
    * Mention it in the documentation.
  * Moved the debtags documentation down into its own section.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  3 Mar 2006 17:18:30 +0100

pkgsync (1.6) unstable; urgency=low

  * Have the cron script check that /usr/sbin/pkgsync exists before trying
    to run it; patch from Reinhard Tartler. (Closes: #351280)
  * Don't use absolute paths everywhere in the cron script, as we already
    set the path explicitly, nobody else does it and it really doesn't serve
    any good use.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  3 Feb 2006 23:26:43 +0100

pkgsync (1.5) unstable; urgency=low

  * Don't compress README.Debian file, as the default error message doesn't
    mention a .gz prefix. (Closes: #323891)
  * Include example files. (Closes: #332438)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 10 Oct 2005 18:18:57 +0200

pkgsync (1.4) unstable; urgency=low

  * The Debconf 5 edition :-)
  * Run "apt-get update" instead of "aptitude update ; dselect update".
  * Support for debtags; see the README.Debian file for more information.
  * Updated README.Debian with information on signed apt archives.
  * Updated Standards-version to 3.6.2, no changed needed.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Jul 2005 14:19:11 +0200

pkgsync (1.3) unstable; urgency=low

  * Support glob patterns in lists.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 18 May 2004 21:47:57 +0200

pkgsync (1.2) unstable; urgency=low

  * Added cfengine2 to Suggests: line. (Closes: #242263)
  * pkgsync no longer fails when a package list is empty. (Closes: #248978)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 14 May 2004 13:25:31 +0200

pkgsync (1.1) unstable; urgency=low

  * Bump to a version number without a Debian revision number, as pkgsync is a
    native Debian package.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Mar 2004 16:00:14 +0100

pkgsync (1.0-5) unstable; urgency=low

  * Initial upload to Debian. (Closes: #236496)
  * Added README.Debian file.
  * Added manpage.
  * Changed maintainer address to my @debian.org address.
  * Fixed a bashism ("function" for defining shell functions); dash should now
    run pkgsync properly.
  * Added "Suggests: cfengine | rdist" line.
  * Added a reference to the README.Debian file in the error message that is
    output if /etc/pkgsync is empty.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Mar 2004 15:13:23 +0100

pkgsync (1.0-4) unstable; urgency=low

  * Set explicit paths everywhere in the script.
  * Add /usr/bin and /bin to PATH in nightly-pkgsync.
  * Remove /etc/cron.d/pkgsync in postinst.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Sat,  6 Mar 2004 11:30:45 +0100

pkgsync (1.0-3) unstable; urgency=low

  * Set PATH in nightly-pkgsync.
  * Remove packages before adding new ones, in case we're a bit low on space.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Fri,  5 Mar 2004 13:57:56 +0100

pkgsync (1.0-2) unstable; urgency=low

  * Changed from a cron.d fragment to using cron.daily.
  * pkgsync.log is now not removed after running pkgsync, it is simply
    overwritten every night.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu,  4 Mar 2004 16:22:49 +0100

pkgsync (1.0-1) unstable; urgency=low

  * Initial release.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Wed,  3 Mar 2004 22:40:46 +0100

